{"openapi":"3.0.3","info":{"title":"faire.ai Platform","description":"The following document contains the documentation of faire.ai Platform.\n\nPlease, contact us at [info@faire.ai](info@faire.ai) if you want to try the Platform and get the credentials to\ncall the API in test or production environments.\n","version":"1.0.0","contact":{"name":"faire.ai","url":"https://faire.ai","email":"info@faire.ai"}},"servers":[{"url":"https://platform-dev.faire.ai","description":"Development environment"},{"url":"https://platform.faire.ai","description":"Production environment"}],"paths":{"/persons":{"post":{"tags":["persons"],"summary":"Create a person.","description":"Register a new person to the Platform.\n","operationId":"createNewPerson","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonCreationRequest"}}}},"responses":{"201":{"description":"Person created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonErrorResponse"}}}}}},"get":{"tags":["persons"],"summary":"Get all persons.","description":"Return all the data of the persons registered by the partner to the Platform.\n","operationId":"getPersons","parameters":[{"in":"query","name":"creator","description":"Creator of the person.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Persons retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonGetAllResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonErrorResponse"}}}}}}},"/persons/{personId}":{"get":{"tags":["persons"],"summary":"Get a person.","description":"Return the data of a single person registered by the partner to the Platfom.\n","operationId":"getPersonById","parameters":[{"in":"path","name":"personId","description":"Unique identifier of a person.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string","format":"uuid"},"required":true}],"responses":{"200":{"description":"Person retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonErrorResponse"}}}}}},"put":{"tags":["persons"],"summary":"Update a person.","description":"Update the data of an existing person.\n","parameters":[{"in":"path","name":"personId","description":"Unique identifier of a person.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string","format":"uuid"},"required":true}],"operationId":"updatePerson","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonCreationRequest"}}}},"responses":{"200":{"description":"Person's data updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonErrorResponse"}}}}}},"delete":{"tags":["persons"],"summary":"Delete a person.","description":"Delete a person and all its data persisted on the Platform.\n","parameters":[{"in":"path","name":"personId","description":"Unique identifier of a person.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string","format":"uuid"},"required":true}],"operationId":"deletePerson","responses":{"204":{"description":"Person has been deleted."},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonErrorResponse"}}}}}}},"/businesses":{"post":{"tags":["businesses"],"summary":"Create a business.","description":"Register a new business to the Platform.\n","operationId":"createNewBusiness","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessCreationRequest"}}}},"responses":{"201":{"description":"Business created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessErrorResponse"}}}}}},"get":{"tags":["businesses"],"summary":"Get all businesses.","description":"Return all the data of the businesses registered by the partner to the Platform.\n","operationId":"getBusinesses","parameters":[{"in":"query","name":"creator","description":"Creator of the business.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string"},"required":false},{"in":"query","name":"vatNumber","description":"Business VAT number.","example":"12345678901","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"Businesses retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessGetAllResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessErrorResponse"}}}}}}},"/businesses/{businessId}":{"get":{"tags":["businesses"],"summary":"Get a business.","description":"Return the data of a single business registered by the partner to the Platform.\n","operationId":"getBusinessById","parameters":[{"in":"path","name":"businessId","description":"Unique identifier of a business.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string","format":"uuid"},"required":true}],"responses":{"200":{"description":"Business retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessErrorResponse"}}}}}},"put":{"tags":["businesses"],"summary":"Update a business.","description":"Update the data of an existing business.\n","parameters":[{"in":"path","name":"businessId","description":"Unique identifier of a business.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string","format":"uuid"},"required":true}],"operationId":"updateBusiness","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessCreationRequest"}}}},"responses":{"200":{"description":"Business's data updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessErrorResponse"}}}}}},"delete":{"tags":["businesses"],"summary":"Delete a business.","description":"Delete a business and all its data persisted on the Platform.\n","parameters":[{"in":"path","name":"businessId","description":"Unique identifier of a business.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string","format":"uuid"},"required":true}],"operationId":"deleteBusiness","responses":{"204":{"description":"Business has been deleted."},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessErrorResponse"}}}}}}},"/businesses/lookup":{"get":{"tags":["businesses"],"summary":"Lookup business data.","description":"Return the data of a business by its VAT number. The partner must have a feature BUSINESS_LOOKUP\nenabled to use this operation.\n","operationId":"lookupBusiness","parameters":[{"in":"query","name":"vatNumber","description":"Business VAT number.","example":"12345678901","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Businesses lookup retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessLookupResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BusinessErrorResponse"}}}}}}},"/accounts":{"post":{"tags":["accounts"],"summary":"Create new account.","description":"Register a new bank account of a person or business within the Platform.\n","operationId":"createAccount","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateAccountRequest"}}},"required":true},"responses":{"201":{"description":"Account created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}},"get":{"tags":["accounts"],"summary":"Get accounts of a person or business.","description":"Return all the bank accounts data of a person or business registered on the Platform. Only one of the two\nparameters `personId` and `businessId` must be specified.\n","operationId":"getAccounts","parameters":[{"name":"personId","example":"123e4567-e89b-12d3-a456-426614174000","in":"query","required":false,"schema":{"type":"string"}},{"name":"businessId","example":"123e4567-e89b-12d3-a456-426614174000","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Account","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountsResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}}},"/accounts/{accountId}":{"get":{"tags":["accounts"],"summary":"Get account.","description":"Return all the data of a bank account.\n","operationId":"getAccount","parameters":[{"name":"accountId","in":"path","example":"a1b2c3","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Account created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}},"delete":{"tags":["accounts"],"summary":"Delete account.","description":"Delete a bank account and all its data.\n","operationId":"deleteAccount","parameters":[{"name":"accountId","in":"path","example":"a1b2c3","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Account deleted","content":{"*/*":{"schema":{"type":"string"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}},"patch":{"tags":["accounts"],"summary":"Update account operativity.","description":"Set the operativity of the bank account.\n","operationId":"updateAccountOperativity","parameters":[{"name":"accountId","in":"path","required":true,"example":"a1b2c3","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAccountOperativityRequest"}}},"required":true},"responses":{"202":{"description":"Account operativity updated","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}}},"/accounts/{accountId}/transactions":{"post":{"tags":["accounts"],"summary":"Add transaction to existing account.","description":"Add a transaction to an existing bank account.\n","operationId":"addTransaction","consumes":["application/json","application/json-seq"],"parameters":[{"name":"accountId","in":"path","example":"a1b2c3","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddTransactionRequest"}},"application/json-seq":{"schema":{"type":"string","format":"byte","description":"A sequence of transactions represented as JSON objects separated by line feeds."}}},"required":true},"responses":{"201":{"description":"Transaction added","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionResponse"}}}},"207":{"description":"Bulk registration of transactions completed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddBulkTransactionsResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}},"get":{"tags":["accounts"],"summary":"Get transactions by accounts.","description":"Return all the transactions of the bank account(s) specified by `accountId` parameter.\n","operationId":"getTransactions","parameters":[{"name":"accountId","in":"path","example":["a1b2c3"],"required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"200":{"description":"Transactions","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransactionsResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}}},"/accounts/{accountId}/transactions/{transactionId}/recurrence":{"put":{"tags":["accounts"],"summary":"Update transaction recurrence.","description":"Set/Update the recurrency of a transaction.\n","operationId":"updateTransactionRecurrence","parameters":[{"name":"accountId","in":"path","example":"a1b2c2","required":true,"schema":{"type":"string"}},{"name":"transactionId","in":"path","required":true,"example":"121212","schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTransactionRecurrenceRequest"}}},"required":true},"responses":{"202":{"description":"Transaction recurrence updated","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}}},"/accounts/{accountId}/transactions/{transactionId}/category":{"put":{"tags":["accounts"],"summary":"Update transaction category.","description":"Set/Update the category of a transaction.\n","operationId":"updateTransactionCategory","parameters":[{"name":"accountId","in":"path","example":"a1b2c3","required":true,"schema":{"type":"string"}},{"name":"transactionId","in":"path","example":"121212","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateTransactionCategoryRequest"}}},"required":true},"responses":{"202":{"description":"Transaction category updated","content":{"application/json":{"schema":{"type":"string"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountErrorResponse"}}}}}}},"/accounts/transactions/categories":{"get":{"tags":["accounts"],"summary":"List all categories.","description":"Return the list of all the categories that can be assigned to a transaction. If no `owningEntityId` is\nspecified, the operation returns all the categories of a personal account.\n","operationId":"getCategories","parameters":[{"name":"owningEntityId","in":"query","example":"PERSON,BUSINESS","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoriesResponse"}}}}}}},"/accounts/transactions/personal-categories":{"get":{"tags":["accounts"],"summary":"List all personal categories.","description":"Return the list of all the categories that can be assigned to a transaction of a personal account.\n","operationId":"getPersonalCategories","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoriesResponse"}}}}}}},"/accounts/transactions/business-categories":{"get":{"tags":["accounts"],"summary":"List all business categories.","description":"Return the list of all the categories that can be assigned to a transaction of a business account.\n","operationId":"getBusinessCategories","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CategoriesResponse"}}}}}}},"/account-connections":{"post":{"summary":"Initialize account connection","description":"Initialize a new account connection for a given person.","operationId":"initializeNewAccountConnection","tags":["account connection"],"requestBody":{"required":true,"description":"Account connection parameters.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitializeNewAccountConnectionRequest"}}}},"responses":{"201":{"description":"Connection successfully created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitializeNewAccountConnectionResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConnectionErrorResponse"}}}}}},"get":{"summary":"Return all account connections","description":"Return all the account connections.","operationId":"getAccountConnections","tags":["account connection"],"parameters":[{"in":"query","name":"personId","description":"Filter account connections by person identifier. Either `personId` or `businessId` can be provided.\n","schema":{"type":"string"},"required":false},{"in":"query","name":"businessId","description":"Filter account connections by business identifier. Either `personId` or `businessId` can be provided.\n","schema":{"type":"string"},"required":false}],"responses":{"200":{"description":"List of account connections","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConnectionsResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConnectionErrorResponse"}}}}}}},"/account-connections/{id}":{"get":{"summary":"Return an account connection","description":"Return an account connection given its identifier.","operationId":"getAccountConnection","tags":["account connection"],"parameters":[{"in":"path","name":"id","description":"Account connection identifier","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"Account connection","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitializeNewAccountConnectionResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AccountConnectionErrorResponse"}}}}}}},"/kpis":{"get":{"tags":["kpis"],"summary":"Get person or account KPIs.","description":"Return the KPIs of an account or a person.\n\nBy specifying `atReferenceDate` query parameter, the operation returns all KPIs at reference date. Default is the current date.\n\n**Note.** Either `accountId` or `personId` or `businessId` must be specified in the request.\n","operationId":"getKpiValue","parameters":[{"name":"personId","description":"Unique identifier of the person to retrieve the KPI of.","in":"query","schema":{"type":"string"}},{"name":"accountId","description":"Unique identifier of the account to retrieve the KPIs of.","in":"query","schema":{"type":"string"}},{"name":"businessId","description":"Unique identifier of the business to retrieve the KPIs of.","in":"query","schema":{"type":"string"}},{"name":"kpi","description":"Name of the KPI to filter by.","example":"MONTHLY_TOTAL_OUTFLOW_MEAN","in":"query","schema":{"type":"string"}},{"name":"atReferenceDate","description":"Reference date of requested KPIs. Default is the current date.","example":"2021-12-22","in":"query","schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"Retrieve KPIs succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetKpisResponse"}}}},"404":{"description":"Resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KpiErrorResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KpiErrorResponse"}}}}}}},"/kpis/list":{"get":{"tags":["kpis"],"summary":"List all available KPIs.","description":"Return the list of all the KPIs that the Platform provides for persons and accounts grouped by the following\ncategories:\n\n- person characterization;\n- account characterization;\n- wealth indicators;\n- spending indicators;\n- liabilities indicators;\n- risk indicators;\n- financial health indicators.\n\nTo know the list of the KPIs, please, contact us at *info@faire.ai*.\n","operationId":"getKpiDefinitions","responses":{"400":{"description":"Retrieve KPIs failed for invalid inputs.","content":{"application/json":{"schema":{"type":"string"}}}},"200":{"description":"List of available KPIs.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetKpiDefinitionsResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KpiErrorResponse"}}}}}}},"/kpis/monitoring":{"get":{"summary":"Get monitoring KPIs.","description":"Return the monitoring KPIs of a business.","operationId":"getMonitoringKpis","tags":["kpis"],"parameters":[{"name":"businessId","description":"Identifier of the business to retrieve the monitoring KPIs of.","in":"query","schema":{"type":"string"},"required":true},{"name":"atReferenceDate","description":"Reference date of requested KPIs. Default is the current date.","required":false,"example":"2021-12-22","in":"query","schema":{"type":"string","format":"date"}}],"responses":{"200":{"description":"Retrieve monitoring KPIs succeeded.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetKpisResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/KpiErrorResponse"}}}}}}},"/loan-products":{"post":{"tags":["loan-products"],"summary":"Create a loan product.","description":"Create a new loan product in the Platform.\n","operationId":"createLoanProduct","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLoanProductRequest"}}}},"responses":{"201":{"description":"Loan product created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductErrorResponse"}}}}}},"get":{"tags":["loan-products"],"summary":"Get all loan products.","description":"Return all the loan products created by the partner in the Platform.\n","operationId":"getLoanProducts","parameters":[{"in":"query","name":"loanProductStatus","required":false,"example":"ACTIVE","description":"The status of th loan product","schema":{"type":"string","enum":["ACTIVE","INACTIVE"]}},{"in":"query","name":"tag","required":false,"example":"tag1,tag2","description":"Specify multiple tags to filter loan products, separating them with commas. Only loan products with all specified tags will be returned.","schema":{"type":"array","items":{"type":"string"}}},{"in":"query","name":"loanPurposes","required":false,"example":"PURCHASE,LIQUIDITY","description":"List of purposes to filter loan products by purpose. If more than one purpose is specified, \nthen the operation returns the loan products that have at least one of them.\n\nValues are comma-separated.\n","schema":{"type":"array","items":{"type":"string","enum":["PURCHASE","LIQUIDITY","INVESTMENT"]}}}],"responses":{"200":{"description":"Loan products retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductGetAllResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductErrorResponse"}}}}}}},"/loan-products/{loanProductId}":{"get":{"tags":["loan-products"],"summary":"Get a loan product.","description":"Return a loan product by its unique identifier.\n","operationId":"getLoanProduct","parameters":[{"in":"path","name":"loanProductId","required":true,"description":"Unique identifier of a loan product.","example":"123e4567-e89b-12d3-a456-426614174000","schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Loan product retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductErrorResponse"}}}}}},"put":{"tags":["loan-products"],"summary":"Update loan product.","description":"Update a loan product.\nThe loan product can be updated if is not active or activated in the past.\n","operationId":"updateLoanProduct","parameters":[{"in":"path","name":"loanProductId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateLoanProductRequest"}}}},"responses":{"200":{"description":"Loan product updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductErrorResponse"}}}}}}},"/loan-products/{loanProductId}/scheduled-activation":{"patch":{"tags":["loan-products"],"summary":"Change loan product scheduled activation.","description":"Change loan product scheduled activation.","operationId":"changeLoanProductSchedule","parameters":[{"in":"path","name":"loanProductId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeLoanProductScheduledActivationRequest"}}}},"responses":{"200":{"description":"Loan product schedule activation updated.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductErrorResponse"}}}}}}},"/loan-products/{loanProductId}/simulation":{"get":{"tags":["loan-products"],"summary":"Get loan simulation.","description":"Given the amount and/or the number of instalments, return the monthly payments for a loan product.\n","operationId":"getLoanSimulation","parameters":[{"in":"path","name":"loanProductId","required":true,"schema":{"type":"string"}},{"in":"query","name":"amountValue","required":true,"example":"1000","schema":{"type":"string"}},{"in":"query","name":"numberOfMonthlyInstalments","schema":{"type":"integer"},"required":false,"example":6}],"responses":{"200":{"description":"Loan product simaulation calculated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanSimulationsResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductErrorResponse"}}}}}}},"/loan-products/{loanProductId}/status":{"patch":{"tags":["loan-products"],"summary":"Change loan product status to active or inactive.","description":"Changes the status of a given loan product.\n","operationId":"changeLoanProductStatus","parameters":[{"in":"path","name":"loanProductId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ChangeLoanProductStatusRequest"}}}},"responses":{"200":{"description":"Loan product status changed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductCreationResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanProductErrorResponse"}}}}}}},"/loans":{"post":{"tags":["loans"],"summary":"Create a new loan.","description":"Create a new loan.\n","operationId":"createLoan","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLoanRequest"}}}},"responses":{"201":{"description":"Loan product created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLoanResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanErrorResponse"}}}}}},"get":{"tags":["loans"],"summary":"Retrieve the loans.","description":"Return all the loans created by the partner.\n","operationId":"getLoans","parameters":[{"in":"query","name":"personId","description":"Unique identifier of a person.","required":false,"example":"a1b2c3","schema":{"type":"string"}},{"in":"query","name":"loanStatus","description":"Status of the loan.","required":false,"schema":{"type":"string","enum":["CLOSED","REJECTED","DEFAULTING","CANCELLED","DISBURSED","APPROVED","CREATED"]}}],"responses":{"200":{"description":"Loans retrivied.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanGetAllResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanErrorResponse"}}}}}}},"/loans/{loanId}":{"get":{"tags":["loans"],"summary":"Retrieve a loan.","description":"Return a loan by its unique identifier.\n","operationId":"getLoan","parameters":[{"in":"path","name":"loanId","description":"Unique identifier of a loan.","example":"d4618120-96d1-11eb-a8b3-0242ac130009","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Loan retrivied.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLoanResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanErrorResponse"}}}}}},"patch":{"tags":["loans"],"summary":"Update loan.","description":"Update the data of an existing loan.\n","operationId":"patchLoan","parameters":[{"in":"path","name":"loanId","description":"Unique identifier of a loan.","example":"d4618120-96d1-11eb-a8b3-0242ac130009","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchLoanRequest"}}}},"responses":{"200":{"description":"Loan retrivied.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLoanResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanErrorResponse"}}}}}}},"/loans/{loanId}/instalments/{instalmentReference}":{"patch":{"tags":["loans"],"summary":"Repay instalment.","description":"Change the status of an instalment.\n","operationId":"repayInstalment","parameters":[{"in":"path","name":"loanId","description":"Unique identifier of a loan.","example":"d4618120-96d1-11eb-a8b3-0242ac130009","required":true,"schema":{"type":"string"}},{"in":"path","name":"instalmentReference","description":"Instalment due date.","example":"2031-02-21","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RepayInstalmentRequest"}}}},"responses":{"200":{"description":"Loan retrivied.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateLoanResponse"}}}},"default":{"description":"Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoanErrorResponse"}}}}}}}},"components":{"securitySchemes":{"openId":{"type":"openIdConnect","openIdConnectUrl":"https://faireai-platform-docs.s3.eu-central-1.amazonaws.com/openid-dev-configuration.html","description":"The API use OpenID Connect to authenticate and authorize the requests.\nUsing `curl`, getting a token can be done calling the following endpoint with:\n\n```sh\ncurl -X POST https://platform-dev.faire.ai/openid-connect/token \\\n  -H 'content-type: application/x-www-form-urlencoded' \\\n  -d 'grant_type=client_credentials&client_id=<CLIENT_ID>&client_secret=<SECRET>\n```\n\nwhere `CLIENT_ID` and `SECRET` are the partner credentials provided by faire.ai.\n"}},"schemas":{"PersonCreationRequest":{"title":"New person","type":"object","required":["personId","firstName","lastName","emailAddress","dateOfBirth","placeOfBirth","citizenship","fiscalCode"],"properties":{"personId":{"type":"string","description":"Unique identifier of a person.","example":"123e4567-e89b-12d3-a456-426614174000"},"firstName":{"type":"string","description":"First name.","example":"John"},"lastName":{"type":"string","description":"Last name.","example":"Doe"},"emailAddress":{"type":"string","format":"email","description":"Email address.","example":"john.doe@example.com"},"dateOfBirth":{"type":"string","format":"date","description":"Date of birth.","example":"2000-07-21"},"placeOfBirth":{"$ref":"#/components/schemas/PlaceOfBirth"},"gender":{"type":"string","description":"Gender.","enum":["MALE","FEMALE"],"example":"MALE"},"citizenship":{"type":"string","description":"Citizenship represented with ISO 3166-1 alpha-2 code of the coutry.","example":"IT"},"fiscalCode":{"type":"string","description":"Fiscal code.","example":"RSSPPP00L21H501U"},"homeAddress":{"$ref":"#/components/schemas/Address"},"domicileAddress":{"$ref":"#/components/schemas/Address"},"phoneNumber":{"type":"string","description":"Phone number represented with E.164 standard.","example":"+39XXXXXXXXXX"},"creator":{"type":"string","description":"Creator of the person. Defaults to the partner identifier.","example":"123e4567-e89b-12d3-a456-426614174000"}}},"Address":{"title":"Address","type":"object","required":["country"],"properties":{"line1":{"type":"string","description":"Address line 1.","example":"3972 Eagles Nest Drive"},"line2":{"type":"string","description":"Address line 2.","example":"Apt. 123"},"postalCode":{"type":"string","description":"Postal code.","example":"00152"},"city":{"type":"string","description":"City.","example":"Placerville"},"country":{"type":"string","description":"Country code represented with ISO 3166-1 alpha-2 code.","example":"IT","minLength":2,"maxLength":2},"state":{"type":"string","description":"State.","example":"Italy"}}},"PlaceOfBirth":{"title":"Place of birth","required":["city","country"],"properties":{"city":{"type":"string","description":"city","example":"Rome"},"country":{"type":"string","description":"Country code represented with ISO 3166-1 alpha-2 code.","minLength":2,"maxLength":2,"example":"IT"}}},"PersonCreationResponse":{"title":"Person","allOf":[{"type":"object","required":["personId"],"properties":{"personId":{"type":"string","format":"uuid","description":"Unique identifier of a person.","example":"123e4567-e89b-12d3-a456-426614174000"}}},{"$ref":"#/components/schemas/PersonCreationRequest"}]},"PersonGetAllResponse":{"title":"Persons","type":"object","properties":{"persons":{"$ref":"#/components/schemas/PersonCreationResponseArray"}}},"PersonCreationResponseArray":{"title":"Person Response Array","type":"array","items":{"$ref":"#/components/schemas/PersonCreationResponse"}},"PersonErrorResponse":{"required":["errors"],"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code.","enum":["RESOURCE_NOT_FOUND","INVALID_FIELD_FORMAT","MISSING_HEADER","INVALID_HEADER_CONTENT","RESOURCE_ALREADY_EXISTS"],"example":"RESOURCE_NOT_FOUND"},"message":{"type":"string","description":"Human readable representation of the error.","example":"Could not find person '1234'"}}}}}},"BusinessCreationRequest":{"title":"New business","type":"object","required":["businessId","name","industry"],"properties":{"businessId":{"type":"string","description":"Unique identifier of a business.","example":"123e4567-e89b-12d3-a456-426614174000"},"name":{"type":"string","description":"Name of the business.","example":"Faire.ai"},"legalForm":{"type":"string","description":"Legal form of the business.","example":"SRL"},"emailAddress":{"type":"string","format":"email","description":"Business email address.","example":"example@company.com"},"vatNumber":{"type":"string","description":"Business VAT number.","example":"12345678901"},"fiscalCode":{"type":"string","description":"Business Fiscal Code.","example":"RSSPPP00L21H501U"},"industry":{"type":"string","description":"Industry of the business.","example":"Software development"},"phoneNumber":{"type":"string","description":"Phone number represented with E.164 standard.","example":"+39XXXXXXXXXX"},"address":{"$ref":"#/components/schemas/Address"},"creator":{"type":"string","description":"Creator of the business. Defaults to the partner identifier.","example":"123e4567-e89b-12d3-a456-426614174000"},"legalRepresentative":{"$ref":"#/components/schemas/LegalRepresentative"},"atecoCode":{"type":"string","description":"ATECO code of the business.","example":"62.01"},"lastBalanceSheetDate":{"type":"string","format":"datetime","description":"Date of the last balance sheet.","example":"2021-12-31T23:59:59Z"},"equity":{"type":"string","description":"Equity of the business.","example":"100000"},"totalAsset":{"type":"string","description":"Total asset of the business.","example":"1000000"},"netFinancialPosition":{"type":"string","description":"Net financial position of the business.","example":"10000"},"turnover":{"type":"string","description":"Turnover of the business.","example":"1000000"},"ebitda":{"type":"string","description":"EBITDA of the business.","example":"100000"},"totalRevenue":{"type":"string","description":"Total revenue of the business.","example":"1000000"},"personnelExpenses":{"type":"string","description":"Personnel expenses of the business.","example":"100000"},"taxesServices":{"type":"string","description":"Taxes services of the business.","example":"10000"},"billOverdue":{"$ref":"#/components/schemas/LegalEventType"},"events":{"$ref":"#/components/schemas/LegalEventType"},"procedures":{"$ref":"#/components/schemas/LegalEventType"}}},"LegalEventType":{"title":"Legal event type","type":"string","description":"Type of a legal event associated to a business.\n\n- `NO_NEGATIVE_EVENTS`: no negative events recorded for the business.\n- `NON_RELEVANT_NEGATIVE_EVENT`: non-relevant negative event recorded for the business.\n- `RELEVANT_NEGATIVE_EVENT`: relevant negative event recorded for the business.\n","enum":["NO_NEGATIVE_EVENTS","NON_RELEVANT_NEGATIVE_EVENT","RELEVANT_NEGATIVE_EVENT"]},"BusinessCreationResponse":{"$ref":"#/components/schemas/BusinessCreationRequest"},"LegalRepresentative":{"title":"Legal representative","type":"object","required":["firstName","lastName","emailAddress","phoneNumber","fiscalCode","homeCountry"],"properties":{"firstName":{"type":"string","description":"First name.","example":"John"},"lastName":{"type":"string","description":"Last name.","example":"Doe"},"emailAddress":{"type":"string","format":"email","description":"Email address.","example":"john.doe@example.com"},"phoneNumber":{"type":"string","description":"Phone number represented with E.164 standard.","example":"+39XXXXXXXXXX"},"fiscalCode":{"type":"string","description":"Fiscal code.","example":"RSSPPP00L21H501U"},"homeCountry":{"type":"string","description":"Country code of legal representative's home address represented with ISO 3166-1 alpha-2 code.","example":"IT","minLength":2,"maxLength":2}}},"BusinessGetAllResponse":{"title":"Businesses","type":"object","properties":{"businesses":{"$ref":"#/components/schemas/BusinessCreationResponseArray"}}},"BusinessCreationResponseArray":{"title":"Businesses response array","type":"array","items":{"$ref":"#/components/schemas/BusinessCreationResponse"}},"BusinessErrorResponse":{"$ref":"#/components/schemas/PersonErrorResponse"},"BusinessLookupResponse":{"title":"Business lookup response","type":"object","properties":{"name":{"type":"string","description":"Name of the business.","example":"Faire.ai"},"legalForm":{"type":"string","description":"Legal form of the business.","example":"SRL"},"emailAddress":{"type":"string","format":"email","description":"Business email address.","example":"example@company.com"},"vatNumber":{"type":"string","description":"Business VAT number.","example":"12345678901"},"fiscalCode":{"type":"string","description":"Business Fiscal Code.","example":"RSSPPP00L21H501U"},"industry":{"type":"string","description":"Industry of the business.","example":"Software development"},"phoneNumber":{"type":"string","description":"Phone number represented with E.164 standard.","example":"+39XXXXXXXXXX"},"address":{"$ref":"#/components/schemas/Address"},"creator":{"type":"string","description":"Creator of the business. Defaults to the partner identifier.","example":"123e4567-e89b-12d3-a456-426614174000"},"legalRepresentative":{"$ref":"#/components/schemas/LegalRepresentative"},"atecoCode":{"type":"string","description":"ATECO code of the business.","example":"62.01"},"lastBalanceSheetDate":{"type":"string","format":"datetime","description":"Date of the last balance sheet.","example":"2021-12-31T23:59:59Z"},"equity":{"type":"string","description":"Equity of the business.","example":"100000"},"totalAsset":{"type":"string","description":"Total asset of the business.","example":"1000000"},"netFinancialPosition":{"type":"string","description":"Net financial position of the business.","example":"10000"},"turnover":{"type":"string","description":"Turnover of the business.","example":"1000000"},"ebitda":{"type":"string","description":"EBITDA of the business.","example":"100000"},"totalRevenue":{"type":"string","description":"Total revenue of the business.","example":"1000000"},"personnelExpenses":{"type":"string","description":"Personnel expenses of the business.","example":"100000"},"taxesServices":{"type":"string","description":"Taxes services of the business.","example":"10000"},"billOverdue":{"$ref":"#/components/schemas/LegalEventType"},"events":{"$ref":"#/components/schemas/LegalEventType"},"procedures":{"$ref":"#/components/schemas/LegalEventType"}}},"AccountErrorResponse":{"required":["errors"],"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code.","enum":["ACCOUNT_NOT_FOUND","PERSON_NOT_FOUND","INVALID_FIELD_FORMAT","MISSING_HEADER","INVALID_HEADER_CONTENT","ACCOUNT_ALREADY_EXISTS","TRANSACTION_REJECTED","TRANSACTION_RECURRENCE_UPDATE_REJECTED","TRANSACTION_CATEGORY_UPDATE_REJECTED","TRANSACTION_OPERATIVITY_UPDATE_REJECTED","UNPROCESSABLE_ENTITY"],"example":"ACCOUNT_NOT_FOUND"},"message":{"type":"string","description":"Human readable representation of the error.","example":"Could not find account '1234'"}}}}}},"KpiErrorResponse":{"required":["errors"],"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code.","enum":["INVALID_FIELD_FORMAT","MISSING_HEADER","RESOURCE_NOT_FOUND"],"example":"MISSING_HEADER"},"message":{"type":"string","description":"Human readable representation of the error.","example":"Invalid request, one parameter among person or account needed."}}}}}},"LoanProductErrorResponse":{"required":["errors"],"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code.","enum":["INVALID_LOAN_PRODUCT_ID","INVALID_STATUS_TYPE","LOAN_PRODUCT_NOT_FOUND","INVALID_FIELD_FORMAT"],"example":"LOAN_PRODUCT_NOT_FOUND"},"message":{"type":"string","description":"Human readable representation of the error.","example":"Loan Product 123 was not found."}}}}}},"UpdateTransactionRecurrenceRequest":{"required":["recurrenceType"],"type":"object","properties":{"recurrenceType":{"type":"string","example":"DEFINED","description":"Describes this transaction's recurrence.\n\n- `NONE` means that transaction is not recurrent.\n- `UNKNOWN` means that it is unknown if the transaction is recurrent.\n- `DEFINED` means that transaction is recurrent and `recurrencePeriod` can be specified.\n","enum":["NONE","UNKNOWN","DEFINED"]},"recurrencePeriod":{"type":"string","example":"P1M"}}},"UpdateTransactionCategoryRequest":{"required":["mainCategory","subCategory"],"type":"object","properties":{"mainCategory":{"type":"string","description":"Main category of the transaction. If both mainCategory and subCategory are not provided, automatic categorisation will be triggered. If only one of mainCategory and subCategory is provided, the request will fail. If both mainCategory and subCategory are provided, the request will succeed and categorisation won't be triggered.","example":"BILLS_SUBSCRIPTIONS"},"subCategory":{"type":"string","description":"Sub-category of the transaction.","example":"BILLS"}}},"UpdateAccountOperativityRequest":{"required":["operativity"],"type":"object","properties":{"operativity":{"type":"string","example":"OPERATIVE","description":"Describes account operativity.\n\n- `OPERATIVE` means the account is operative.\n- `NOT_OPERATIVE` means the account is not operative.\n- `UNKNOWN` means that it is unknown if the account is operative.\n"},"availableBalance":{"type":"string","example":"10.05","description":"Available balance of the account."}}},"CreateAccountRequest":{"type":"object","properties":{"accountId":{"type":"string","example":"a1b2c3"},"personId":{"type":"string","description":"Unique identifier of a person. Only one of `personId` or `businessId` must be specified.","example":"c6a7fe4e-5fc0-11eb-ae93-0242ac130002"},"businessId":{"type":"string","description":"Unique identifier of a business. Only one of `personId` or `businessId` must be specified.","example":"e734f071-2520-4b6b-8d06-a98bed378c32"},"financialInstitutionName":{"type":"string","example":"Example Bank"},"iban":{"type":"string","example":"BE71096123456769"},"currency":{"type":"string","example":"EUR"},"bookedBalance":{"description":"Booked balance.","type":"string","example":"1500.00"},"holders":{"type":"array","example":["holder1","holder2"],"items":{"type":"string"}}},"required":["iban"]},"AccountResponse":{"type":"object","properties":{"accountId":{"type":"string","example":"a1b2c3"},"personId":{"type":"string","example":"c6a7fe4e-5fc0-11eb-ae93-0242ac130002"},"businessId":{"type":"string","example":"e734f071-2520-4b6b-8d06-a98bed378c32"},"financialInstitutionName":{"type":"string","example":"Example Bank"},"iban":{"type":"string","example":"BE71096123456769"},"currency":{"type":"string","example":"EUR"},"bookedBalance":{"description":"Booked balance calculated according to added booked transactions.","type":"number","example":1500.0},"availableBalance":{"description":"Available balance.","type":"number","example":1500.0},"holders":{"type":"array","example":["holder1","holder2"],"items":{"type":"string"}},"operativity":{"type":"string","description":"Describes account operativity.\n\n- `OPERATIVE` means the account is operative.\n- `NOT_OPERATIVE` means the account not is operative.\n- `UNKNOWN` means that it is unknown if the account is operative.\n","example":"OPERATIVE"}}},"AddTransactionRequest":{"required":["amount","currency","recurrenceType","transactionId","valueDate"],"type":"object","properties":{"transactionId":{"type":"string","example":"121212"},"bookingDate":{"type":"string","format":"date-time","example":"2021-01-21T08:17:06.432Z"},"valueDate":{"type":"string","format":"date-time","example":"2021-01-21T08:17:06.432Z"},"currency":{"type":"string","example":"EUR"},"amount":{"type":"string","example":"22.0"},"description":{"type":"string","example":"Rent bill"},"mainCategory":{"type":"string","example":"BILLS_SUBSCRIPTIONS","default":"OTHER"},"subCategory":{"type":"string","example":"BILLS","default":"OTHER"},"recurrenceType":{"type":"string","example":"DEFINED","description":"Describes this transaction's recurrence.\n\n- `NONE` means that transaction is not recurrent.\n- `UNKNOWN` means that it is unknown if the transaction is recurrent.\n- `DEFINED` means that transaction is recurrent and `recurrencePeriod` can be specified.\n","enum":["NONE","UNKNOWN","DEFINED"]},"recurrencePeriod":{"type":"string","description":"Can be specified only if `recurrenceType` is set to `DEFINED`","example":"P1M"},"merchantName":{"type":"string","example":"Merchant"},"mcc":{"type":"string","description":"The merchant category code","maxLength":4,"minLength":4,"example":"0742"}}},"AccountsResponse":{"type":"object","properties":{"accounts":{"type":"array","items":{"$ref":"#/components/schemas/AccountResponse"}}}},"TransactionResponse":{"type":"object","properties":{"accountId":{"type":"string","example":"a1b2c3"},"transactionId":{"type":"string","example":"121212"},"bookingDate":{"type":"string","example":"2021-01-21T08:17:06.432"},"valueDate":{"type":"string","example":"2021-01-21T08:17:06.432"},"currency":{"type":"string","example":"EUR"},"amount":{"type":"number","example":150.0},"description":{"type":"string","example":"Car rent bill"},"mainCategory":{"type":"string","example":"BILLS_SUBSCRIPTIONS","default":"OTHER"},"subCategory":{"type":"string","example":"BILLS","default":"OTHER"},"recurrenceType":{"type":"string","example":"DEFINED","enum":["NONE","UNKNOWN","DEFINED"]},"recurrencePeriod":{"type":"string","example":"PT10H"},"merchantName":{"type":"string","example":"Merchant"},"mcc":{"type":"string","description":"The merchant category code","example":"0742"}}},"TransactionsResponse":{"type":"object","properties":{"transactions":{"type":"array","items":{"$ref":"#/components/schemas/TransactionResponse"}}}},"CategoriesResponse":{"type":"object","properties":{"categories":{"type":"array","items":{"$ref":"#/components/schemas/CategoryResponse"}}}},"AddBulkTransactionsResponse":{"type":"object","required":["processed","errors"],"properties":{"processed":{"type":"array","minItems":0,"maxItems":100,"items":{"$ref":"#/components/schemas/AddBulkTransactionsProcessedResponse"}},"errors":{"type":"array","minItems":0,"maxItems":100,"items":{"$ref":"#/components/schemas/AddBulkTransactionsErrorResponse"}}}},"AddBulkTransactionsProcessedResponse":{"type":"object","required":["transactionId","status","mainCategory","subCategory"],"properties":{"transactionId":{"type":"string","example":"121212"},"status":{"type":"integer","example":200},"mainCategory":{"type":"string","example":"HOUSING_FAMILY"},"subCategory":{"type":"string","example":"INSURANCES"}}},"AddBulkTransactionsErrorResponse":{"type":"object","required":["transactionId","status","errorMessages"],"properties":{"transactionId":{"type":"string","example":"121212"},"status":{"type":"integer","example":400},"errorMessages":{"type":"array","items":{"type":"string","description":"Error message","example":"Description missing."}}}},"CategoryResponse":{"type":"object","properties":{"mainCategory":{"type":"string","example":"BILLS_SUBSCRIPTIONS"},"subCategories":{"type":"array","example":["BILLS"],"items":{"type":"string"}}}},"KpiResponse":{"type":"object","properties":{"kpi":{"type":"string"},"value":{"description":"Value of the KPI. Type depends on the KPI. In case of numeric KPIs, special values can be\nreturned in case of RATIO KPIs, i.e. \n- `NaN` - representing a result of 0/0 division\n- `Infinity` - representing a result of division by 0\n- '-Infinity' - representing a result of division of a negative number by 0\n","example":"700.00"},"referenceTimestamp":{"type":"string","format":"date-time"},"status":{"description":"It represents whether it is available but its value may change as a result of new added or\nchanged data (`PROCESSING_NEW_DATA`), or its value is *stable*, so all data received \nhave been processed (`ALL_DATA_PROCESSED`).\n","type":"string","enum":["PROCESSING_NEW_DATA","ALL_DATA_PROCESSED"]}},"example":{"kpi":"AVERAGE_BALANCE","value":"700.00","referenceTimestamp":"2021-03-27T23:59:59.999+0000","status":"ALL_DATA_PROCESSED"}},"GetKpisResponse":{"title":"KPIs","type":"object","properties":{"kpis":{"$ref":"#/components/schemas/KpiResponseArray"}}},"KpiResponseArray":{"title":"KPIs Response Array","type":"array","items":{"$ref":"#/components/schemas/KpiResponse"}},"KpiDefinitionResponse":{"type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"category":{"type":"string","enum":["PERSON_CHARACTERIZATION_INDICATORS","ACCOUNT_CHARACTERIZATION_INDICATORS","WEALTH_INDICATORS","SPENDING_INDICATORS","LIABILITIES_INDICATORS","RISK_INDICATORS","FINANCIAL_HEALTH_INDICATORS","INCOMES_INDICATORS"]},"types":{"type":"array","items":{"$ref":"#/components/schemas/KpiType"}}},"example":{"name":"PROBABILITY_OF_DEFAULT","description":"probability of default of the account","category":"ACCOUNT_CHARACTERIZATION_INDICATORS","types":["ACCOUNT","PERSON"]}},"KpiType":{"type":"string","enum":["ACCOUNT","PERSON"]},"GetKpiDefinitionsResponse":{"title":"KPI definitions","type":"object","properties":{"kpis":{"$ref":"#/components/schemas/KpiDefinitionResponseArray"}}},"KpiDefinitionResponseArray":{"title":"KPI definition Response Array","type":"array","items":{"$ref":"#/components/schemas/KpiDefinitionResponse"}},"CreateLoanProductRequest":{"title":"New loan product","type":"object","required":["name","currency","status","conditions","financialInstitution"],"properties":{"name":{"type":"string","description":"Loan product name","example":"Fast loan"},"currency":{"type":"string","description":"Currency of the loan product","example":"EUR"},"status":{"type":"string","description":"Status of the loan product","enum":["ACTIVE","INACTIVE"],"example":"ACTIVE"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Condition"}},"fees":{"type":"array","items":{"$ref":"#/components/schemas/Fees"}},"scheduledActivation":{"$ref":"#/components/schemas/Activation"},"tags":{"type":"array","description":"Tags of the loan product","items":{"type":"string"}},"financialInstitution":{"type":"string","description":"The name of the financial institution for which the loan product has been created\n","example":"Faire Bank"},"loanPurposes":{"type":"array","items":{"$ref":"#/components/schemas/LoanPurpose"}}}},"LoanPurpose":{"title":"Loan purpose","type":"string","enum":["INVESTMENT","LIQUIDITY","PURCHASE"]},"UpdateLoanProductRequest":{"title":"Update loan product","type":"object","required":["name","conditions"],"properties":{"name":{"type":"string","description":"Loan product name","example":"Fast loan"},"conditions":{"type":"array","items":{"$ref":"#/components/schemas/Condition"}},"fees":{"type":"array","items":{"$ref":"#/components/schemas/Fees"}},"scheduledActivation":{"$ref":"#/components/schemas/Activation"}}},"Activation":{"title":"Activation","type":"object","properties":{"start":{"type":"string","format":"date-time","description":"Start date/time from when the loan product is active.","example":"2022-04-14T15:30:19Z"},"end":{"type":"string","format":"date-time","description":"End date/time from when the loan product is not active.","example":"2022-05-08T15:30:19Z"}}},"Condition":{"title":"Contition","type":"object","required":["lowerBound","upperBound","lowerInclusive","upperInclusive","numberOfInstalments","annualPercentageRate"],"properties":{"lowerBound":{"description":"The lower bound of the condition","type":"string","example":"700"},"upperBound":{"description":"The upper bound of the condition","type":"string","example":"2000"},"lowerInclusive":{"description":"If `true` the lower bound is included in the condition amount range","type":"boolean","example":true},"upperInclusive":{"description":"If `true` the upper bound is included in the condition amount range","type":"boolean","example":true},"numberOfInstalments":{"description":"Number of instalments","type":"integer","example":5},"annualPercentageRate":{"description":"The annual interest rate","type":"string","example":"0.35"}}},"Fees":{"title":"Fee","type":"object","required":["description","type","amount","amountType"],"properties":{"description":{"type":"string","description":"Description of the fee","example":"Annual fee"},"type":{"type":"string","description":"Type of the fee.\n\n- `UPFRONT_SETUP`: fee that is charged with the first installment.\n- `CAPITALIZED_SETUP`: fee that is added to the total loan amount.\n- `MONTHLY`: fee that is charged with each monthly installment.\n- `ANNUAL`: fee that is charged every year the loan is active.\n","enum":["UPFRONT_SETUP","CAPITALIZED_SETUP","MONTHLY","ANNUAL"],"example":"ANNUAL"},"amount":{"description":"Amount of the fee","type":"string","example":"5"},"amountType":{"description":"Type of the amount of the fee","type":"string","enum":["FLAT","PERCENTAGE"],"example":"FLAT"}}},"ChangeLoanProductScheduledActivationRequest":{"title":"Change loan product scheduled activation.","type":"object","properties":{"scheduledActivation":{"$ref":"#/components/schemas/Activation"}}},"ChangeLoanProductStatusRequest":{"title":"Change loan product status.","type":"object","properties":{"status":{"type":"string","description":"Status of the loan product","enum":["ACTIVE","INACTIVE"],"example":"ACTIVE"}}},"LoanProductCreationResponse":{"title":"Loan Product","allOf":[{"type":"object","required":["id"],"properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of a loan product.","example":"123e4567-e89b-12d3-a456-426614174000"}}},{"$ref":"#/components/schemas/CreateLoanProductRequest"}]},"LoanProductGetAllResponse":{"title":"Loan products","type":"object","properties":{"loanProducts":{"$ref":"#/components/schemas/LoanProductCreationResponseArray"}}},"LoanProductCreationResponseArray":{"title":"Loan product Response Array","type":"array","items":{"$ref":"#/components/schemas/LoanProductCreationResponse"}},"LoanSimulationResponse":{"title":"Loan simulation","type":"object","properties":{"numberOfInstalments":{"type":"integer","example":7},"grossAnnualRate":{"type":"number","example":6.83},"instalments":{"type":"array","items":{"$ref":"#/components/schemas/InstalmentSimulationResponse"}}}},"InstalmentSimulationResponse":{"title":"Instalment simulation","type":"object","properties":{"amount":{"type":"number","example":34.26}}},"InstalmentSimulationResponseArray":{"title":"Loan simulation response array","type":"array","items":{"$ref":"#/components/schemas/LoanSimulationResponse"}},"LoanSimulationsResponse":{"title":"Loan simulations response","type":"object","properties":{"loanSimulations":{"$ref":"#/components/schemas/InstalmentSimulationResponseArray"}}},"CreateLoanRequest":{"title":"New loan","type":"object","required":["loanId","personId","loanProductId","amount","currency","numberOfInstalments"],"properties":{"loanId":{"type":"string","format":"uuid","description":"Unique identifier of a loan","example":"4049ab70-7a61-11eb-9439-0242ac130002"},"personId":{"type":"string","description":"Unique identifier of a person","example":"a1b2c3"},"loanProductId":{"type":"string","description":"Unique identifier of a loan product","example":"4049ab70-7a61-11eb-9439-0242ac130011"},"amount":{"type":"string","description":"The amount of the loan","example":"1000"},"currency":{"type":"string","description":"The currency of the loan","example":"EUR"},"numberOfInstalments":{"type":"number","description":"The number of the instalments for the loan","example":6}}},"PatchLoanRequest":{"title":"Update loan","type":"object","properties":{"status":{"type":"string","description":"The status of the loan","enum":["CLOSED","REJECTED","DEFAULTING","CANCELLED","DISBURSED","APPROVED","CREATED"],"example":"CREATED"},"amount":{"type":"string","description":"The amount of the loan that can be provided only when the status is `CREATED`.\n","example":"1000"},"numberOfInstalments":{"type":"integer","description":"The number of instalments for the loan that can be provided only when the status \nis `CREATED`.\n","example":6},"instalmentsDueDates":{"type":"array","description":"Instalments due dates of the loan that can be provided only when the status \nis `DISBURSED`.\n","items":{"type":"string","description":"Date of the instalment","format":"date"},"example":["2031-01-21","2031-02-21","2031-03-21","2031-04-21","2031-05-21","2031-06-21"]}}},"RepayInstalmentRequest":{"title":"Repay instalment","type":"object","required":["status"],"properties":{"status":{"type":"string","description":"The status of the repayment","enum":["NEW","PENDING","PAID","DEFAULT"],"example":"PAID"},"paid":{"type":"string","description":"Must be provided if status of the loan is `PAID`","format":"date-time","example":"2022-05-05T12:12:13.124Z"}}},"CreateLoanResponse":{"title":"Loan","type":"object","properties":{"loanId":{"type":"string","format":"uuid","description":"Unique identifier of a loan","example":"4049ab70-7a61-11eb-9439-0242ac130002"},"personId":{"type":"string","description":"Unique identifier of a person","example":"a1b2c3"},"amount":{"type":"number","description":"The amount of the loan","example":1000},"numberOfInstalments":{"type":"integer","description":"The number of instalments for the loan","example":6},"loanStatus":{"type":"string","description":"The status of the loan","enum":["CLOSED","REJECTED","DEFAULTING","CANCELLED","DISBURSED","APPROVED","CREATED"],"example":"CREATED"},"instalments":{"type":"array","items":{"$ref":"#/components/schemas/InstalmentResponse"}}}},"InstalmentResponse":{"title":"Instalments","type":"object","properties":{"amount":{"type":"number","description":"The amount of the instalment","example":130.66},"dueDate":{"type":"string","format":"date","description":"Due date of the instalment","example":"2031-01-21"},"paidAt":{"type":"string","format":"date-time","description":"The paying date/time","example":"2022-05-05T12:12:13.124Z"}}},"CreateLoanResponseArray":{"title":"Loan Response Array","type":"array","items":{"$ref":"#/components/schemas/CreateLoanResponse"}},"LoanGetAllResponse":{"title":"Loans","type":"object","properties":{"loans":{"$ref":"#/components/schemas/CreateLoanResponseArray"}}},"LoanErrorResponse":{"required":["errors"],"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code.","enum":["INVALID_LOAN_STATUS","INVALID_UPDATED_LOAN_AMOUNT_FORMAT","INVALID_REQUEST","INVALID_FIELD_FORMAT","IMSTALMENT_DUE_DATE_NOT_FOUND"],"example":"IMSTALMENT_DUE_DATE_NOT_FOUND"},"message":{"type":"string","description":"Human readable representation of the error.","example":"Instalment reference does not match with any instalment for loan."}}}}}},"InitializeNewAccountConnectionRequest":{"type":"object","required":["onSuccessUrl","onFailureUrl"],"properties":{"personId":{"description":"Identifier of the person. One of `personId` or `businessId` must be provided","type":"string","example":"b14e56eb-efd1-459e-aba9-1c01faf947a1"},"businessId":{"description":"Identifier of the business. One of `personId` or `businessId` must be provided","type":"string","example":"b14e56eb-efd1-459e-aba9-1c01faf947a1"},"onSuccessUrl":{"description":"Customer redirect link for successful connection","type":"string","example":"https://example.com/success"},"onFailureUrl":{"description":"Customer redirect link for failed connection","type":"string","example":"https://example.com/fail"},"fetchMode":{"description":"Mode to be applied during account and transactions fetch:\n\n- `THREE_MONTHS`, fetch the last 3 months of transactions\n- `TWO_YEARS`, fetch the last 24 months of transactions\n- `MONITORING`, fetch the last 24 months of transactions and start monitoring the account\n  for new transactions. This mode needs to be enabled by Faire.ai, please contact us.\n","type":"string","example":"THREE_MONTHS","default":"THREE_MONTHS","enum":["THREE_MONTHS","TWO_YEARS","MONITORING"]}}},"InitializeNewAccountConnectionResponse":{"type":"object","description":"New account connection","allOf":[{"$ref":"#/components/schemas/InitializeNewAccountConnectionRequest"}],"properties":{"connectionLink":{"description":"Link to start the account connection","type":"string","example":"https://example.com/redirect"},"accountConnectionId":{"description":"Unique identifier of the account connection","type":"string","example":"c9782679-33d6-4d43-8929-a11d9ac54480"},"status":{"description":"Status of the account connection.\nIt may be one of the following values with these meanings:\n\n- `INITIALIZED`, account connection has been created\n- `CONNECTING`, account connection started successfully and Platform is fetching the\n  account data\n- `RECONNECTING`, when the monitoring account connection is being reconnected\n- `FAILED`, for any reason, account connection failed\n- `COMPLETED`, when the account connection process is ended with success and all\n  user accounts and transactions have been forwarded to Platform\n- `EXPIRED`, when the account connection link has expired\n","type":"string","example":"INITIALIZED","enum":["INITIALIZED","CONNECTING","RECONNECTING","FAILED","COMPLETED","EXPIRED"]},"connectedAccounts":{"type":"array","description":"If connection is `COMPLETED` return the IDs of the connected accounts","items":{"$ref":"#/components/schemas/AccountConnectedResponse"}},"createdAt":{"description":"The timestamp at which account connection has been created","type":"string","format":"date-time","example":"2022-07-27T10:22:26.933914"}}},"AccountConnectionsResponse":{"type":"object","properties":{"accountConnections":{"description":"List of account connections for this partner","type":"array","items":{"$ref":"#/components/schemas/InitializeNewAccountConnectionResponse"}}}},"AccountConnectedResponse":{"type":"object","properties":{"accountId":{"type":"string","example":"da5a29a8-4a5b-4faa-8d7c-9d0669f8e076"}}},"AccountConnectionErrorResponse":{"required":["errors"],"type":"object","properties":{"errors":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string","description":"Error code.","enum":["PERSON_NOT_FOUND","MISSING_PERSON_INFORMATION","ACCOUNT_CONNECTION_NOT_FOUND","VALIDATION_ERROR","MISSING_HEADER","INVALID_HEADER_CONTENT","INTERNAL_SERVER_ERROR"],"example":"INTERNAL_SERVER_ERROR"},"message":{"type":"string","description":"Human readable representation of the error.","example":"Internal server error."}}}}}}}},"security":[{"openId":["email profile"]}],"tags":[{"name":"persons","description":"Persons operations."},{"name":"accounts","description":"Accounts operations."},{"name":"account connection","description":"Account connection operations."},{"name":"kpis","description":"KPIs analytics operations."},{"name":"loan-products","description":"Loan products operations."},{"name":"loans","description":"Loans operations."},{"name":"categories","description":"\n## Transaction categories\n\n<style type=\"text/css\">\n.tg  {border-collapse:collapse;border-spacing:0;}\n.tg td{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;\n  overflow:hidden;padding:10px 5px;word-break:normal;}\n.tg th{border-color:black;border-style:solid;border-width:1px;font-family:Arial, sans-serif;font-size:14px;\n  font-weight:normal;overflow:hidden;padding:10px 5px;word-break:normal;}\n.tg .tg-gvqf{background-color:#EFEFEF;color:#172B4D;text-align:left;vertical-align:top}\n.tg .tg-c9so{background-color:#F4C7C3;color:#172B4D;text-align:left;vertical-align:top}\n.tg .tg-q3ai{background-color:#efefef;color:#172B4D;font-weight:bold;text-align:left;vertical-align:top}\n.tg .tg-5owp{background-color:#efefef;color:#172B4D;text-align:left;vertical-align:top}\n.tg .tg-75x4{background-color:#B7E1CD;color:#172B4D;text-align:left;vertical-align:top}\n</style>\n<table class=\"tg\">\n<thead>\n  <tr>\n    <th class=\"tg-q3ai\"><span style=\"font-style:inherit;color:#172B4D\">Main Category</span><br></th>\n    <th class=\"tg-q3ai\"><span style=\"font-style:inherit;color:#172B4D\">Subcategory</span><br></th>\n    <th class=\"tg-q3ai\"><span style=\"font-style:inherit;color:#172B4D\">Income</span><br></th>\n    <th class=\"tg-q3ai\"><span style=\"font-style:inherit;color:#172B4D\">Expense</span><br></th>\n  </tr>\n</thead>\n<tbody>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"4\"><span style=\"font-weight:normal\">BILLS_SUBSCRIPTIONS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">BILLS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">INTERNET_PHONE</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SUBSCRIPTIONS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"2\"><span style=\"font-weight:normal\">CREDIT_CARDS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CREDIT_CARDS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"4\"><span style=\"font-weight:normal\">EATING_OUT</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">COFFEE_SHOPS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">RESTAURANTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">TAKEAWAY_RESTAURANTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"6\"><span style=\"font-weight:normal\">EDUCATION</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">COURSES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">EDUCATIONAL_MATERIALS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">KINDERGARTEN</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SCHOOLS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">UNIVERSITIES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"7\"><span style=\"font-weight:normal\">HEALTH_WELLNESS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">AID_EXPENSES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">DRUGS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">GYMS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">MEDICAL_EXPENSES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SPORT</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">WELLNESS_RELAX</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"14\"><span style=\"font-weight:normal\">HOUSING_FAMILY</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">APPLIANCES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">BABY_SITTING</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CHILDHOOD</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CONDO_EXPENSES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">FURNITURE</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">GROCERIES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">INSURANCES</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">LAUNDRY</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">MAINTENANCE_RENOVATION</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\"><span style=\"font-weight:normal\">NOURISHMENT</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">RENTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SERVANTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">VETERINARY</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"11\"><span style=\"font-weight:normal\">LEISURE</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">BOOKS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CINEMA</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CLUB_ASSOCIATIONS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">GAMBLING</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">MAGAZINES_NEWSPAPERS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">MOVIES_MUSICS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">MUSEUMS_PARKS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SPORT_EVENTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">THEATERS_CONCERTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">VIDEOGAMES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"4\"><span style=\"font-weight:normal\">MORTGAGES_LOANS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">INSTALLMENT_PAYMENTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">LOANS</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">MORTGAGES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"3\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">CASH</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">CHECKS</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"2\"><span style=\"font-weight:normal\">PROFITS</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">PROFITS</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"7\"><span style=\"font-weight:normal\">SHOPPING</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">ACCESSORIZE</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CLOTHING</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">FOOTWEAR</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">HI_TECH</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">JEWELLERY</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SPORT_ARTICLES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"12\"><span style=\"font-weight:normal\">TAXES_SERVICES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">PROFESSIONAL_ACTIVITY</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">ACCOUNTANT</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">BANK_FEES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">DEFAULT_PAYMENTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">EXPENSE_LEDGER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">FINES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">LEGAL_EXPENSES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">MONEY_ORDERS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OFFICE</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">PROFIT_DEDUCTION</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">TAXES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"8\"><span style=\"font-weight:normal\">TRANSFERS</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">RENT_INCOMES</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">GIFTS_DONATIONS</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">BANK_TRANSFERS</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SAVINGS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">INVESTMENTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">REFUNDS</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-gvqf\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">WINNINGS</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"14\"><span style=\"font-weight:normal\">TRAVELS_TRANSPORTATION</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">BUSES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CAR_BIKE_SHARING</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">CAR_RENTAL</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">FLIGHTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">FUEL</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">HOTELS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">PARKING_URBAN_TRANSPORTS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">SHIP_FERRIES</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">TAXIS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">TOLLS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">TRAINS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">TRAVELS_HOLIDAYS</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">VEHICLE_MAINTENANCE</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">false</span></td>\n    <td class=\"tg-c9so\"><span style=\"font-weight:normal\">true</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-5owp\" rowspan=\"4\"><span style=\"font-weight:normal\">WAGES</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">OTHER</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">PENSION</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">PROFESSIONAL_COMPENSATION</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n  <tr>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">SALARY</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">true</span></td>\n    <td class=\"tg-75x4\"><span style=\"font-weight:normal\">false</span></td>\n  </tr>\n</tbody>\n</table>\n"}]}